For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leads
        • GETGet a lead by ID
        • POSTCreate Lead: AppFolio
        • PUTUpdate Lead: AppFolio
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
AppfolioLeads

Get a lead by ID

GET
/v1/leads/:id
GET
/v1/leads/:id
$curl https://api.propexo.com/v1/leads/id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_created_at": "2024-08-01T12:34:12Z",
17 "x_guestcard_id": null,
18 "x_id": "209a0ce1-0d3e-406a-aff6-dec477a0af3e",
19 "x_leasing_agent_id": null,
20 "x_property_id": "284a201c-854b-4088-841c-165f7040d399",
21 "x_unit_id_preferred": [
22 "456",
23 "123"
24 ],
25 "x_updated_at": "2024-08-01T12:34:12Z",
26 "x_lead_source_id": null,
27 "address_1": null,
28 "address_2": null,
29 "city": null,
30 "country": null,
31 "custom_data": {},
32 "date_of_birth": null,
33 "desired_amenities": null,
34 "desired_floor_plan_id": null,
35 "desired_floor_plan_name": null,
36 "desired_lease_term_in_months": null,
37 "desired_max_rent_in_cents": 100000,
38 "desired_max_square_ft": null,
39 "desired_min_rent_in_cents": null,
40 "desired_min_square_ft": null,
41 "desired_num_bathrooms": 2,
42 "desired_num_bedrooms": 3,
43 "desired_unit_number": null,
44 "desired_unit_type": null,
45 "email_1": "john.doe@example.com",
46 "email_2": null,
47 "first_name": "John",
48 "ils": null,
49 "last_name": "Doe",
50 "lead_source": "Chatbot",
51 "leasing_agent": null,
52 "middle_name": "M",
53 "notes": null,
54 "number_of_occupants": 1,
55 "pets": [
56 {
57 "id": "clwktsp9v000008l31iv218hn",
58 "created_at": "2024-03-21T15:38:08.337Z",
59 "updated_at": "2024-03-22T10:59:45.119Z",
60 "last_seen": "2024-03-22T10:59:45.119Z",
61 "x_id": "6f5d276c-9f1f-49d7-ac5d-0180240aa29c",
62 "age_in_years": null,
63 "breed": null,
64 "color": null,
65 "gender_raw": null,
66 "is_fixed": null,
67 "is_service_animal": null,
68 "name": null,
69 "notes": null,
70 "type": "Cat",
71 "weight_in_pounds": null,
72 "custom_data": {}
73 }
74 ],
75 "phone_1_type": null,
76 "phone_1": "(555) 555-5555",
77 "phone_2_type": null,
78 "phone_2": null,
79 "state": null,
80 "status": "active",
81 "target_move_in_date": "2024-01-01",
82 "zip": null,
83 "property_id": "clwi5xiix000008l6ctdgafyh",
84 "lead_source_id": null,
85 "unit_id_preferred": [
86 "testintegration:123:456",
87 "testintegration:678:123"
88 ],
89 "integration_id": "clwh5u07w000508me66sfh3um",
90 "integration_vendor": "APPFOLIO",
91 "screenings": [
92 {
93 "id": "clwktsp9v000008l31iv218hn",
94 "created_at": "2024-03-21T15:38:08.337Z",
95 "last_seen": "2024-03-22T10:59:45.119Z",
96 "x_id": "string",
97 "status_raw": "string",
98 "screening_date": "string"
99 }
100 ],
101 "x_unit_id": "string",
102 "pet_details": null
103 }
104}
Get a lead by ID
Was this page helpful?
Previous

Create Lead: AppFolio

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error